Skip to navigation

Check the status of a task to fetch/upload a file from a URL

The endpoint notifies about the progress of the task by changing the value of the status field:

  • the field is set to waiting initially
  • once the system starts processing the request, the field is set to progress
  • if the file is fetched and uploaded successfully, the status field is set to success and the endpoint returns a JSON object holding information about the uploaded file
  • if the system fails to fetch/upload the file, the status field is set to error and the error field is set to the cause of the error.

Query parameters

tokenstringRequiredformat: "uuid"

Token returned by the /from_url/ endpoint that identifies a request to fetch/upload a file from a URL.

Response

Request was processed successfully.
fileUploadInfoSuccessStatusobject
OR
fileUploadInfoWaitingStatusobject
OR
fileUploadInfoProgressStatusobject
OR
fileUploadInfoErrorStatusobject
OR
fileUploadInfoUnknownStatusobject